Update a client [DEPRECATED: Use update an account route] Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/client/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • uuid string Required
application/json

Body

  • title string

    Title

  • first_name string

    First name

  • middle_name string

    Middle name.

  • last_name string

    Last name

  • maiden_name string

    Maiden name.

  • entity_name string

    Entity name for shared account types

  • assigned_adviser_uuid string(uuid)

    The UUID of the employee that the client directly reports to

  • assigned_administrator_uuid string(uuid)

    The UUID of the adviser employee that the client has been assigned

  • assigned_paraplanner_uuid string(uuid)

    The UUID of the paraplanner employee that the client has been assigned

  • introduced_by_uuid string(uuid)

    The UUID of the introducer for this client

  • date_of_birth string(date)

    Date of birth

  • gender string

    Gender. Possible values are: male, female, non-binary, transgender, intersex, other and unknown

    Value Description
    male male
    female female
    non-binary non-binary
    transgender transgender
    intersex intersex
    other other
    unknown unknown

    Values are male, female, non-binary, transgender, intersex, other, or unknown.

  • ni_number string

    National Insurance Number

  • nickname string

    preferred nickname of the client

  • target_retirement_age integer

    Target retirement age.

  • pronouns string

    Pronouns

  • smoker_status string

    Smoker Status. Possible values are: smoker, non-smoker, vaper, ex-smoker, never-smoked, unknown

    Value Description
    smoker Smoker
    non-smoker Non Smoker
    vaper Vaper
    ex-smoker Ex Smoker
    never-smoked Never Smoked
    unknown Unknown

    Values are smoker, non-smoker, vaper, ex-smoker, never-smoked, or unknown.

  • residential_status string

    Residential status

    Value Description
    homeowner Homeowner
    renting Renting
    living_with_parents Living With Parents
    other Other

    Values are homeowner, renting, living_with_parents, or other.

  • country_of_residence string

    Country of residence

  • marital_status string

    Marital status. Possible values are: single, cohabiting, married, divorced, civil-partnership, dissolved-civil-partnership, widowed, separated, engaged, in-relationship, other, unknown

    Value Description
    single single
    cohabiting cohabiting
    married married
    divorced divorced
    civil-partnership civil partnership
    dissolved-civil-partnership dissolved-civil-partnership
    widowed widowed
    separated separated
    engaged engaged
    in-relationship in a relationship
    other other
    unknown unknown

    Values are single, cohabiting, married, divorced, civil-partnership, dissolved-civil-partnership, widowed, separated, engaged, in-relationship, other, or unknown.

  • is_vulnerable string

    whether the client is vulnerable. Possible values are: "yes", "no", and "possibly"

    Values are yes, no, or possibly.

  • is_prospect boolean

    Denotes if the client is a prospect or not.

  • prospect_converted_at string(date)

    The datetime when the prospect was converted into a client.

  • value integer

    The value of the client in penny format. E.g £5,000 would be 500000.

  • is_uk_resident boolean

    Whether the client is a UK resident or not.

  • is_uk_domicile boolean

    Whether the client is a UK domicile or not.

  • expected_retirement_age integer

    The expected retirement age.

  • state_retirement_age integer

    The state retirement age.

  • nationalities array

    Nationalities of the client. You can use the api/v1/static/nationalities endpoint to get our list.

  • vulnerability_details string

    Any details regarding the client's vulnerabilities.

  • vulnerability_sub_type array[string]

    One or more vulnerability sub types.

    Values are health, life_events, resilience, or capability.

  • vulnerability_last_assessment_date string(date) | null

    The date of the last vulnerability assessment.

  • vulnerability_duration string

    Whether the vulnerability is temporary or permanent.

    Value Description
    temporary Temporary
    permanent Permanent

    Values are temporary or permanent.

  • third_party_offered boolean

    Whether the client has been offered any third party.

  • procedure_adaptation boolean

    Whether any procedures need to be adapted to the client.

  • adaption_details_notes boolean

    Any notes regarding adaptations

  • client_preferences string

    Any client preferences.

  • current_state_of_health string

    The client's current state of health.

  • state_of_health_explanation string

    Explanation of the current state of health.

  • cigarettes_daily integer

    The amount of cigarettes the client smokes a day.

  • smoker_since string(date)

    The date of when the client started smoking.

  • long_term_care_needed boolean

    Whether the client required long term care.

  • long_term_care_notes string

    Notes on the client's long term care.

  • has_will boolean

    Whether the client has a will or not.

  • will_notes string

    Notes on the client's will.

  • will_last_reviewed string(date)

    The date of the last time the will's been reviewed.

  • has_power_of_attorney boolean

    Whether the client has power of attorney.

  • power_of_attorney_notes string

    Notes on the client's power of attorney.

  • first_contact_date string(date)

    The date of the first contact.

  • units_of_alcohol_weekly integer

    The units of alcohol digested weekly.

  • height integer

    The height of the client in centimeters.

  • weight integer

    The weight of the client in pounds.

  • health_notes string

    Notes on the client's health.

  • has_iht_planning boolean

    Whether the client has Inheritance Tax (IHT) planning or not.

  • iht_planning_notes string

    Notes on the client's Inheritance Tax (IHT) planning.

  • has_gifted_family boolean

    Whether the client has gifted the family.

  • gift_notes string

    Notes on the gifts.

  • is_anticipating_inheritance boolean

    Whether the client is anticipating/ expecting any inheritance.

  • anticipating_inheritance_notes string

    Notes on the client's inheritance anticipation/ expectations.

  • next_review_date string(date)

    Date of next review

  • previous_review_date string(date)

    Date of previous review

  • anniversary_review_date string(date)

    Anniversary review date

  • is_will_accurate boolean

    Does your current will reflect your wishes?

  • will_executors string

    Who are the executors?

  • will_location string

    Where is the will stored?

  • will_bequests_detail string

    Details of any Bequests

  • is_poa_registered_epa_or_lpa string

    Is the Power of Attorney Registered as a EPA or LPA

    Value Description
    epa Epa
    lpa Lpa

    Values are epa or lpa.

  • are_poa_appointed_for_health_or_wealth string

    Are the Attorneys appointed for Health, Wealth or Both?

    Values are health, wealth, or both.

  • poa_attorney_appointed_at string(date)

    When were the Attorney’s appointed?

  • will_poa_details string

    Who are the Attorney’s?

  • are_poa_documents_registered boolean

    Are the documents registered?

  • will_gifts_details string

    Notes of gifts

  • is_in_receipt_of_your_state_pension boolean

    Are you in receipt of your State Pension

  • has_obtained_a_forecast boolean

    Have you recently obtained a forecast

  • date_of_forecast string(date)

    What is the date of the obtained forecast

  • projected_state_pension integer

    What is the projected State Pension

  • years_of_national_insurance_contributions integer

    How many years have you made Nation Insurance Contributions

  • pension_notes string

    Notes on the pension

  • date_of_marriage string(date)

    Date of marriage

  • is_deceased boolean

    Denotes if the client is deceased

  • deceased_at string(date)

    Date of death

  • is_married_to_partner boolean

    Denotes if the client is married to their partner

  • checked_sanctions_at string(date)

    Date the client was checked for sanctions

  • lead_source string

    Marks the lead source of the client

  • write_to_whom string

    Marks the name of the client to write to

  • passport_number string

    The passport number of the client

  • do_not_contact_via_fax boolean

    Denotes if the client can be contacted via fax

  • do_not_contact_via_mail boolean

    Denotes if the client can be contacted via mail

  • do_not_contact_via_sms boolean

    Denotes if the client can be contacted via SMS

  • do_not_contact_via_email boolean

    Denotes if the client can be contacted via email

  • do_not_contact_via_telephone boolean

    Denotes if the client can be contacted via telephone

  • do_not_visit boolean

    Denotes if the client can be visited

  • do_not_market boolean

    Denotes if the client can be visited

  • status_uuid string(uuid)

    The status of the client.

  • groups array[string(uuid)]

    Group UUIDs to sync client to. Null can be provided to clear a clients groups.

  • client_regulatory_classification string

    The regulatory classification of the client. Possible values are: retail_client, professional_client, eligible_counterparty, not_applicable and unknown

  • terms_of_business_at string(date) | null

    Date the Terms of Business were agreed and signed

  • client_agreement_at string(date) | null

    Date the client agreement was agreed and signed

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • type string
    • role string
    • first_name string
    • last_name string
    • name string
    • email string
    • photo_url string
    • firm object
      Hide firm attributes Show firm attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • address_1 string
      • address_2 string
      • town_city string
      • county string
      • postcode string
      • country string
      • regulatory_text string
      • logo_icon string
      • brand_colours object
        Hide brand_colours attributes Show brand_colours attributes object
        • sidebar_background string
        • sidebar_accent string
        • sidebar_text string
        • sidebar_hover string
        • sidebar_active string
        • sidebar_title_background string
        • sidebar_title_primary string
        • sidebar_title_secondary string
        • sidebar_title_secondary_hover string
        • email_background string
        • email_logo_background_panel string
        • email_sub_text string
        • email_button_background string
        • email_button_text string
        • portal_sidebar_button_background string
        • portal_sidebar_button_hover string
        • portal_sidebar_button_active string
        • portal_brand_title string
        • portal_brand_sub_title string
        • portal_sidebar_title string
        • portal_sidebar_text string
        • portal_sidebar_text_hover string
        • portal_sidebar_text_active string
        • portal_sidebar_icon string
        • portal_sidebar_icon_hover string
        • portal_sidebar_icon_active string
        • portal_background string
        • portal_sidebar_account_title string
        • portal_sidebar_account_email string
        • portal_sidebar_divider string
        • portal_dashboard_bg_one string
        • portal_dashboard_bg_two string
        • portal_sidebar_collapse_button string
        • portal_sidebar_collapse_button_hover string
        • portal_sidebar_user_select_background string
        • portal_sidebar_user_select_hover string
        • portal_sidebar_user_select_text string
        • portal_sidebar_user_select_text_hover string
        • portal_sidebar_user_select_border string
        • portal_sidebar_user_select_border_hover string
      • is_subscribed boolean
      • addon_subscriptions object
        Hide addon_subscriptions attributes Show addon_subscriptions attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • enabled

          Determines if the addon is enabled

        • trial_ends_at

          If the addon is a paid addon, this is the date the free trial will end for the addon subscription.

        • trial_ends_in_days

          If the addon is a paid addon, this is the number of days left in the free trial for the addon subscription.

        • payment_confirmed_at

          If the addon is a paid addon, this is the date the payment was confirmed for the addon subscription.

      • keep_deleted_files_for integer
      • tax number
      • month_end integer
      • statement_frequency string
      • billing object
        Hide billing attributes Show billing attributes object
        • invoice_address_1 string
        • invoice_address_2 string
        • invoice_town_city string
        • invoice_county string
        • invoice_postcode string
        • invoice_country string
        • invoice_email string
      • task_board_template object
        Hide task_board_template attributes Show task_board_template attributes object
        • uuid

          uuid of the board

        • created_at

          timestamp of when the board was created

        • updated_at

          timestamp of when the board was updated

        • is_template

          returns true if the board is a template

        • name

          the name of the board

        • default_list_uuid

          the default list uuid

        • is_editable

          determines if the user can edit the board (e.g update the board, lists and move tasks around)

        • priorities

          returns the array of priorities that can be set within a task

      • ip_whitelist array[string]
      • welcome_paragraph_html string
      • email_welcome_paragraph_html string
      • show_fact_find_illustrations boolean
      • cc_email_addresses array[string]
      • bcc_email_addresses array[string]
      • reply_to_email_address string
      • mobile_app_support_number string
      • mobile_app_support_email string
    • primary_phone_number object
      Hide primary_phone_number attributes Show primary_phone_number attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • name string
      • value string
      • phone_number_meta object
        Hide phone_number_meta attributes Show phone_number_meta attributes object
        • country string
        • formatted string
      • accounts object
        Hide accounts attributes Show accounts attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

    • primary_email object
      Hide primary_email attributes Show primary_email attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • name string
      • value string
      • phone_number_meta object
        Hide phone_number_meta attributes Show phone_number_meta attributes object
        • country string
        • formatted string
      • accounts object
        Hide accounts attributes Show accounts attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

    • current_time_entry object
      Hide current_time_entry attributes Show current_time_entry attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • description string
      • trackable_type string
      • trackable object
        Hide trackable attributes Show trackable attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use the primary email of the account instead). The email of the account.

        • photo_url

          The photo URL of the client

      • start_date string
      • end_date string
      • is_active boolean
      • total_time_in_minutes integer
      • computed_time_elapsed_in_seconds integer
      • account object
        Hide account attributes Show account attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use the primary email of the account instead). The email of the account.

        • photo_url

          The photo URL of the client

    • assigned_adviser object
      Hide assigned_adviser attributes Show assigned_adviser attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm object
        Hide firm attributes Show firm attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Name of the firm

        • slug

          Slug of the firm

        • address_1

          First line of the address

        • address_2

          Second line of the address

        • town_city

          Town/City

        • county

          County

        • postcode

          Postcode

        • country

          Country

        • regulatory_text

          Regulatory text of the firm.

        • logo_icon

          URL of your firm logo icon.

        • brand_colours

          Firm branding colours.

        • is_subscribed

          Subscription status.

        • keep_deleted_files_for

          Number of days to keep deleted files for

        • tax

          Tax percent

        • month_end

          Date of the month for the monthly income reconciliation statements to end

        • statement_frequency

          The frequency of the income reconciliation statements

        • billing

          Firm invoice details for billing

        • ip_whitelist

          A list of IP Addresses a firm is allowed to log in from.

        • welcome_paragraph_html

          Custom welcome paragraph html for the branded auth welcome page

        • email_welcome_paragraph_html

          Custom welcome paragraph for the welcome/new user email

        • show_fact_find_illustrations

          Determines if the illustrations/graphics are displayed on the fact find.

        • cc_email_addresses

          Array of email cc addresses.

        • bcc_email_addresses

          Array of email bcc addresses.

        • reply_to_email_address

          Firm reply to email address.

        • mobile_app_support_number

          Firm mobile app support number.

        • mobile_app_support_email

          Firm mobile app support email address.

      • primary_phone_number object
        Hide primary_phone_number attributes Show primary_phone_number attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Contact detail type

        • name

          Contact detail description

        • value

          Contact detail value

        • phone_number_meta

          If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      • primary_email object
        Hide primary_email attributes Show primary_email attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Contact detail type

        • name

          Contact detail description

        • value

          Contact detail value

        • phone_number_meta

          If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      • current_time_entry object
        Hide current_time_entry attributes Show current_time_entry attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the time entry.

        • description

          The description of the time entry.

        • trackable_type

          The model type that is being tracked. The example given is a client, but it can be a case, firm, circle or task.

        • start_date

          The start time of the time entry.

        • end_date

          The end time of the time entry.

        • is_active

          Determines if the time entry is currently ongoing.

        • total_time_in_minutes

          Total time in minutes.

        • computed_time_elapsed_in_seconds

          Computed time elapsed in seconds.

      • assigned_adviser object
        Hide assigned_adviser attributes Show assigned_adviser attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • assigned_administrator object
        Hide assigned_administrator attributes Show assigned_administrator attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • assigned_paraplanner object
        Hide assigned_paraplanner attributes Show assigned_paraplanner attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • introduced_by object
        Hide introduced_by attributes Show introduced_by attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • business_unit object
        Hide business_unit attributes Show business_unit attributes object
        • uuid

          The UUID of the resource.

        • name

          Name of the business unit.

        • has_alternative_branding

          Whether alternative branding is enabled for this business unit.

        • brand_colours

          Brand colours for this business unit, merged with firm defaults.

        • members_count

          Number of accounts assigned to this business unit

        • groups_count

          Number of groups assigned to this business unit

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

      • groups object
        Hide groups attributes Show groups attributes object
        • uuid

          UUID of the group

        • name

          Name of the group

        • slug

          Slug of the group

        • participants_count

          Number of participants in the group

        • participants

          Participants in this group

        • created_at

          Timestamp of when the group was created

        • updated_at

          Timestamp of when the group was updated

      • tags object
        Hide tags attributes Show tags attributes object
        • uuid

          UUID of the tag

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the tag

        • slug

          The slug of the tag

        • colour

          The colour of the tag

      • owners object
        Hide owners attributes Show owners attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle object
        Hide joint_account_circle attributes Show joint_account_circle attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The Circle name

        • photo_url

          URL for initial avatar image

        • bg_colour

          Hex colour background for avatar

        • has_portal_access

          Whether any member of the circle has portal access

        • portal_access_status

          Aggregated portal access status: active, never_logged_in, or no_portal_access

        • engagement_rating

          Aggregated engagement rating: green, amber, red, or none

        • last_login

          Most recent portal login across all circle members, including who logged in

        • portal_login_count_30d

          Total portal login count across all members in last 30 days

        • portal_login_count_90d

          Total portal login count across all members in last 90 days

        • portal_login_count_365d

          Total portal login count across all members in last 365 days

        • joint_account_uuid

          uuid of joint account where circle created from joint account

        • login_access_level

          The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

        • current_life_stage_uuid

          UUID of the circle's current life stage for expenditure

      • circles object
        Hide circles attributes Show circles attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The Circle name

        • photo_url

          URL for initial avatar image

        • bg_colour

          Hex colour background for avatar

        • has_portal_access

          Whether any member of the circle has portal access

        • portal_access_status

          Aggregated portal access status: active, never_logged_in, or no_portal_access

        • engagement_rating

          Aggregated engagement rating: green, amber, red, or none

        • last_login

          Most recent portal login across all circle members, including who logged in

        • portal_login_count_30d

          Total portal login count across all members in last 30 days

        • portal_login_count_90d

          Total portal login count across all members in last 90 days

        • portal_login_count_365d

          Total portal login count across all members in last 365 days

        • joint_account_uuid

          uuid of joint account where circle created from joint account

        • login_access_level

          The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

        • current_life_stage_uuid

          UUID of the circle's current life stage for expenditure

      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields object
        Hide custom_fields attributes Show custom_fields attributes object
        • uuid

          The UUID of the custom field

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          The type of custom field

        • name

          The name of the custom field

        • reference

          The reference of the custom field, used when updating the custom field on the model.

        • is_required

          Denotes if the custom field is required

        • value

          The value of the custom field

        • selection_options

          This is the array of available options for the selection box. If the type is "selection" this array will be provided.

        • help_text

          Optional help text to aide the custom field. Will be displayed on Plannr.

      • external_references object
        Hide external_references attributes Show external_references attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • third_party

          The third party provider with the reference.

        • reference

          The third party reference.

    • assigned_administrator object
      Hide assigned_administrator attributes Show assigned_administrator attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm object
        Hide firm attributes Show firm attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Name of the firm

        • slug

          Slug of the firm

        • address_1

          First line of the address

        • address_2

          Second line of the address

        • town_city

          Town/City

        • county

          County

        • postcode

          Postcode

        • country

          Country

        • regulatory_text

          Regulatory text of the firm.

        • logo_icon

          URL of your firm logo icon.

        • brand_colours

          Firm branding colours.

        • is_subscribed

          Subscription status.

        • keep_deleted_files_for

          Number of days to keep deleted files for

        • tax

          Tax percent

        • month_end

          Date of the month for the monthly income reconciliation statements to end

        • statement_frequency

          The frequency of the income reconciliation statements

        • billing

          Firm invoice details for billing

        • ip_whitelist

          A list of IP Addresses a firm is allowed to log in from.

        • welcome_paragraph_html

          Custom welcome paragraph html for the branded auth welcome page

        • email_welcome_paragraph_html

          Custom welcome paragraph for the welcome/new user email

        • show_fact_find_illustrations

          Determines if the illustrations/graphics are displayed on the fact find.

        • cc_email_addresses

          Array of email cc addresses.

        • bcc_email_addresses

          Array of email bcc addresses.

        • reply_to_email_address

          Firm reply to email address.

        • mobile_app_support_number

          Firm mobile app support number.

        • mobile_app_support_email

          Firm mobile app support email address.

      • primary_phone_number object
        Hide primary_phone_number attributes Show primary_phone_number attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Contact detail type

        • name

          Contact detail description

        • value

          Contact detail value

        • phone_number_meta

          If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      • primary_email object
        Hide primary_email attributes Show primary_email attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Contact detail type

        • name

          Contact detail description

        • value

          Contact detail value

        • phone_number_meta

          If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      • current_time_entry object
        Hide current_time_entry attributes Show current_time_entry attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the time entry.

        • description

          The description of the time entry.

        • trackable_type

          The model type that is being tracked. The example given is a client, but it can be a case, firm, circle or task.

        • start_date

          The start time of the time entry.

        • end_date

          The end time of the time entry.

        • is_active

          Determines if the time entry is currently ongoing.

        • total_time_in_minutes

          Total time in minutes.

        • computed_time_elapsed_in_seconds

          Computed time elapsed in seconds.

      • assigned_adviser object
        Hide assigned_adviser attributes Show assigned_adviser attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • assigned_administrator object
        Hide assigned_administrator attributes Show assigned_administrator attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • assigned_paraplanner object
        Hide assigned_paraplanner attributes Show assigned_paraplanner attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • introduced_by object
        Hide introduced_by attributes Show introduced_by attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • business_unit object
        Hide business_unit attributes Show business_unit attributes object
        • uuid

          The UUID of the resource.

        • name

          Name of the business unit.

        • has_alternative_branding

          Whether alternative branding is enabled for this business unit.

        • brand_colours

          Brand colours for this business unit, merged with firm defaults.

        • members_count

          Number of accounts assigned to this business unit

        • groups_count

          Number of groups assigned to this business unit

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

      • groups object
        Hide groups attributes Show groups attributes object
        • uuid

          UUID of the group

        • name

          Name of the group

        • slug

          Slug of the group

        • participants_count

          Number of participants in the group

        • participants

          Participants in this group

        • created_at

          Timestamp of when the group was created

        • updated_at

          Timestamp of when the group was updated

      • tags object
        Hide tags attributes Show tags attributes object
        • uuid

          UUID of the tag

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the tag

        • slug

          The slug of the tag

        • colour

          The colour of the tag

      • owners object
        Hide owners attributes Show owners attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle object
        Hide joint_account_circle attributes Show joint_account_circle attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The Circle name

        • photo_url

          URL for initial avatar image

        • bg_colour

          Hex colour background for avatar

        • has_portal_access

          Whether any member of the circle has portal access

        • portal_access_status

          Aggregated portal access status: active, never_logged_in, or no_portal_access

        • engagement_rating

          Aggregated engagement rating: green, amber, red, or none

        • last_login

          Most recent portal login across all circle members, including who logged in

        • portal_login_count_30d

          Total portal login count across all members in last 30 days

        • portal_login_count_90d

          Total portal login count across all members in last 90 days

        • portal_login_count_365d

          Total portal login count across all members in last 365 days

        • joint_account_uuid

          uuid of joint account where circle created from joint account

        • login_access_level

          The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

        • current_life_stage_uuid

          UUID of the circle's current life stage for expenditure

      • circles object
        Hide circles attributes Show circles attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The Circle name

        • photo_url

          URL for initial avatar image

        • bg_colour

          Hex colour background for avatar

        • has_portal_access

          Whether any member of the circle has portal access

        • portal_access_status

          Aggregated portal access status: active, never_logged_in, or no_portal_access

        • engagement_rating

          Aggregated engagement rating: green, amber, red, or none

        • last_login

          Most recent portal login across all circle members, including who logged in

        • portal_login_count_30d

          Total portal login count across all members in last 30 days

        • portal_login_count_90d

          Total portal login count across all members in last 90 days

        • portal_login_count_365d

          Total portal login count across all members in last 365 days

        • joint_account_uuid

          uuid of joint account where circle created from joint account

        • login_access_level

          The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

        • current_life_stage_uuid

          UUID of the circle's current life stage for expenditure

      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields object
        Hide custom_fields attributes Show custom_fields attributes object
        • uuid

          The UUID of the custom field

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          The type of custom field

        • name

          The name of the custom field

        • reference

          The reference of the custom field, used when updating the custom field on the model.

        • is_required

          Denotes if the custom field is required

        • value

          The value of the custom field

        • selection_options

          This is the array of available options for the selection box. If the type is "selection" this array will be provided.

        • help_text

          Optional help text to aide the custom field. Will be displayed on Plannr.

      • external_references object
        Hide external_references attributes Show external_references attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • third_party

          The third party provider with the reference.

        • reference

          The third party reference.

    • assigned_paraplanner object
      Hide assigned_paraplanner attributes Show assigned_paraplanner attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm object
        Hide firm attributes Show firm attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Name of the firm

        • slug

          Slug of the firm

        • address_1

          First line of the address

        • address_2

          Second line of the address

        • town_city

          Town/City

        • county

          County

        • postcode

          Postcode

        • country

          Country

        • regulatory_text

          Regulatory text of the firm.

        • logo_icon

          URL of your firm logo icon.

        • brand_colours

          Firm branding colours.

        • is_subscribed

          Subscription status.

        • keep_deleted_files_for

          Number of days to keep deleted files for

        • tax

          Tax percent

        • month_end

          Date of the month for the monthly income reconciliation statements to end

        • statement_frequency

          The frequency of the income reconciliation statements

        • billing

          Firm invoice details for billing

        • ip_whitelist

          A list of IP Addresses a firm is allowed to log in from.

        • welcome_paragraph_html

          Custom welcome paragraph html for the branded auth welcome page

        • email_welcome_paragraph_html

          Custom welcome paragraph for the welcome/new user email

        • show_fact_find_illustrations

          Determines if the illustrations/graphics are displayed on the fact find.

        • cc_email_addresses

          Array of email cc addresses.

        • bcc_email_addresses

          Array of email bcc addresses.

        • reply_to_email_address

          Firm reply to email address.

        • mobile_app_support_number

          Firm mobile app support number.

        • mobile_app_support_email

          Firm mobile app support email address.

      • primary_phone_number object
        Hide primary_phone_number attributes Show primary_phone_number attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Contact detail type

        • name

          Contact detail description

        • value

          Contact detail value

        • phone_number_meta

          If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      • primary_email object
        Hide primary_email attributes Show primary_email attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Contact detail type

        • name

          Contact detail description

        • value

          Contact detail value

        • phone_number_meta

          If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      • current_time_entry object
        Hide current_time_entry attributes Show current_time_entry attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the time entry.

        • description

          The description of the time entry.

        • trackable_type

          The model type that is being tracked. The example given is a client, but it can be a case, firm, circle or task.

        • start_date

          The start time of the time entry.

        • end_date

          The end time of the time entry.

        • is_active

          Determines if the time entry is currently ongoing.

        • total_time_in_minutes

          Total time in minutes.

        • computed_time_elapsed_in_seconds

          Computed time elapsed in seconds.

      • assigned_adviser object
        Hide assigned_adviser attributes Show assigned_adviser attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • assigned_administrator object
        Hide assigned_administrator attributes Show assigned_administrator attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • assigned_paraplanner object
        Hide assigned_paraplanner attributes Show assigned_paraplanner attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • introduced_by object
        Hide introduced_by attributes Show introduced_by attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • business_unit object
        Hide business_unit attributes Show business_unit attributes object
        • uuid

          The UUID of the resource.

        • name

          Name of the business unit.

        • has_alternative_branding

          Whether alternative branding is enabled for this business unit.

        • brand_colours

          Brand colours for this business unit, merged with firm defaults.

        • members_count

          Number of accounts assigned to this business unit

        • groups_count

          Number of groups assigned to this business unit

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

      • groups object
        Hide groups attributes Show groups attributes object
        • uuid

          UUID of the group

        • name

          Name of the group

        • slug

          Slug of the group

        • participants_count

          Number of participants in the group

        • participants

          Participants in this group

        • created_at

          Timestamp of when the group was created

        • updated_at

          Timestamp of when the group was updated

      • tags object
        Hide tags attributes Show tags attributes object
        • uuid

          UUID of the tag

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the tag

        • slug

          The slug of the tag

        • colour

          The colour of the tag

      • owners object
        Hide owners attributes Show owners attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle object
        Hide joint_account_circle attributes Show joint_account_circle attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The Circle name

        • photo_url

          URL for initial avatar image

        • bg_colour

          Hex colour background for avatar

        • has_portal_access

          Whether any member of the circle has portal access

        • portal_access_status

          Aggregated portal access status: active, never_logged_in, or no_portal_access

        • engagement_rating

          Aggregated engagement rating: green, amber, red, or none

        • last_login

          Most recent portal login across all circle members, including who logged in

        • portal_login_count_30d

          Total portal login count across all members in last 30 days

        • portal_login_count_90d

          Total portal login count across all members in last 90 days

        • portal_login_count_365d

          Total portal login count across all members in last 365 days

        • joint_account_uuid

          uuid of joint account where circle created from joint account

        • login_access_level

          The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

        • current_life_stage_uuid

          UUID of the circle's current life stage for expenditure

      • circles object
        Hide circles attributes Show circles attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The Circle name

        • photo_url

          URL for initial avatar image

        • bg_colour

          Hex colour background for avatar

        • has_portal_access

          Whether any member of the circle has portal access

        • portal_access_status

          Aggregated portal access status: active, never_logged_in, or no_portal_access

        • engagement_rating

          Aggregated engagement rating: green, amber, red, or none

        • last_login

          Most recent portal login across all circle members, including who logged in

        • portal_login_count_30d

          Total portal login count across all members in last 30 days

        • portal_login_count_90d

          Total portal login count across all members in last 90 days

        • portal_login_count_365d

          Total portal login count across all members in last 365 days

        • joint_account_uuid

          uuid of joint account where circle created from joint account

        • login_access_level

          The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

        • current_life_stage_uuid

          UUID of the circle's current life stage for expenditure

      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields object
        Hide custom_fields attributes Show custom_fields attributes object
        • uuid

          The UUID of the custom field

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          The type of custom field

        • name

          The name of the custom field

        • reference

          The reference of the custom field, used when updating the custom field on the model.

        • is_required

          Denotes if the custom field is required

        • value

          The value of the custom field

        • selection_options

          This is the array of available options for the selection box. If the type is "selection" this array will be provided.

        • help_text

          Optional help text to aide the custom field. Will be displayed on Plannr.

      • external_references object
        Hide external_references attributes Show external_references attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • third_party

          The third party provider with the reference.

        • reference

          The third party reference.

    • introduced_by object
      Hide introduced_by attributes Show introduced_by attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm object
        Hide firm attributes Show firm attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Name of the firm

        • slug

          Slug of the firm

        • address_1

          First line of the address

        • address_2

          Second line of the address

        • town_city

          Town/City

        • county

          County

        • postcode

          Postcode

        • country

          Country

        • regulatory_text

          Regulatory text of the firm.

        • logo_icon

          URL of your firm logo icon.

        • brand_colours

          Firm branding colours.

        • is_subscribed

          Subscription status.

        • keep_deleted_files_for

          Number of days to keep deleted files for

        • tax

          Tax percent

        • month_end

          Date of the month for the monthly income reconciliation statements to end

        • statement_frequency

          The frequency of the income reconciliation statements

        • billing

          Firm invoice details for billing

        • ip_whitelist

          A list of IP Addresses a firm is allowed to log in from.

        • welcome_paragraph_html

          Custom welcome paragraph html for the branded auth welcome page

        • email_welcome_paragraph_html

          Custom welcome paragraph for the welcome/new user email

        • show_fact_find_illustrations

          Determines if the illustrations/graphics are displayed on the fact find.

        • cc_email_addresses

          Array of email cc addresses.

        • bcc_email_addresses

          Array of email bcc addresses.

        • reply_to_email_address

          Firm reply to email address.

        • mobile_app_support_number

          Firm mobile app support number.

        • mobile_app_support_email

          Firm mobile app support email address.

      • primary_phone_number object
        Hide primary_phone_number attributes Show primary_phone_number attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Contact detail type

        • name

          Contact detail description

        • value

          Contact detail value

        • phone_number_meta

          If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      • primary_email object
        Hide primary_email attributes Show primary_email attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Contact detail type

        • name

          Contact detail description

        • value

          Contact detail value

        • phone_number_meta

          If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      • current_time_entry object
        Hide current_time_entry attributes Show current_time_entry attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the time entry.

        • description

          The description of the time entry.

        • trackable_type

          The model type that is being tracked. The example given is a client, but it can be a case, firm, circle or task.

        • start_date

          The start time of the time entry.

        • end_date

          The end time of the time entry.

        • is_active

          Determines if the time entry is currently ongoing.

        • total_time_in_minutes

          Total time in minutes.

        • computed_time_elapsed_in_seconds

          Computed time elapsed in seconds.

      • assigned_adviser object
        Hide assigned_adviser attributes Show assigned_adviser attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • assigned_administrator object
        Hide assigned_administrator attributes Show assigned_administrator attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • assigned_paraplanner object
        Hide assigned_paraplanner attributes Show assigned_paraplanner attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • introduced_by object
        Hide introduced_by attributes Show introduced_by attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • business_unit object
        Hide business_unit attributes Show business_unit attributes object
        • uuid

          The UUID of the resource.

        • name

          Name of the business unit.

        • has_alternative_branding

          Whether alternative branding is enabled for this business unit.

        • brand_colours

          Brand colours for this business unit, merged with firm defaults.

        • members_count

          Number of accounts assigned to this business unit

        • groups_count

          Number of groups assigned to this business unit

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

      • groups object
        Hide groups attributes Show groups attributes object
        • uuid

          UUID of the group

        • name

          Name of the group

        • slug

          Slug of the group

        • participants_count

          Number of participants in the group

        • participants

          Participants in this group

        • created_at

          Timestamp of when the group was created

        • updated_at

          Timestamp of when the group was updated

      • tags object
        Hide tags attributes Show tags attributes object
        • uuid

          UUID of the tag

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the tag

        • slug

          The slug of the tag

        • colour

          The colour of the tag

      • owners object
        Hide owners attributes Show owners attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

[...]
